class ProcStore
  def pass_in_bloc(&block)
    @block = block
  end
  def call_block(*params)
    @block.call(*params)
  end
end

store = ProcStore.new
store.pass_in_bloc do |num|
  puts "You have passed #{num}"
end
store.call_block('Andrey')
store.call_block(15)
