numbers = Enumerator.new do |yielder|
  number = 0
  loop do
    number += 1
    yielder.yield number
  end
end.lazy

p numbers.select { |num| num % 10 == 0 }.first(10)
p numbers.select { |num| (num % 3).zero? && (num % 7).zero? }.first(10)
