class WovelFinder
  def initialize(str)
    @str = str
  end

  def each_wovel
    return enum_for(:each_wovel) unless block_given?
    @str.scan(/[aoeuiy]/).each do |wovel|
      yield wovel
    end
  end
end

finder = WovelFinder.new('Artemiy')
finder.each_wovel do |wovel|
  puts "wovel: #{wovel}"
end
finder.each_wovel.with_index do |wovel, index|
  puts "wovel #{index + 1}: #{wovel}"
end
